Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 8 of 8
  1. #1
    Senior Member
    Join Date
    Dec 2010
    Posts
    150

    IR-Blaster support on LMS 8.0

    I just realised IR-Blaster v6.2.1 is showing as unsupported on my LMS version (v8.0.0)

    I can't event find where I got the latest v6.2.1 of IR-Blaster, so I'm not sure if it's still being updated, or if the issue is just a version pre-req issue.

    Anyone still using IR-Blaster on LMS 8 ?

    Thanks.

  2. #2
    Senior Member ralphy's Avatar
    Join Date
    Jan 2006
    Location
    Canada
    Posts
    3,036
    Yes I am.

    But I did have to update maxVersion to 8.* in the install.xml before it would load.
    Ralphy

    1-Touch, 5-Classics, 3-Booms, 2-UE Radio
    Squeezebox client builds donations always appreciated.

  3. #3
    Senior Member
    Join Date
    Dec 2010
    Posts
    150
    mmm ... I can't get my changes to Install.xml to stick. Maybe I'm updating them in the wrong folder.

    When I try to install IRBlaster the only folder I can see it (I'm running on a Synology NAS) is:
    /volume1/@appstore/SqueezeCenter/Cache/InstalledPlugins/Plugins

    But if I update install.xml and restart, the folder gets recreated with the old files.

    From the settings page, the plugin folders are:
    Plugin Folders
    /volume1/@appstore/SqueezeCenter/Cache/InstalledPlugins/Plugins, /volume1/@appstore/SqueezeCenter/Plugins

    But the 2nd folder doesn't appear on the NAS, so I'm not sure if I should be updating install.xml somewhere else.

  4. #4
    Senior Member
    Join Date
    Dec 2010
    Posts
    150
    Got it working with a 'hack'.

    I 'intercepted' the downloaded irblaster.zip file in the /SqueezeCenter/Cache/DownloadedPlugins/ directory.

    Modified the install.xml within the zip and added it back into the DownloadedPlugins directory.

    Then when I enabled the plugin it copied it into the InstalledPlugins directory and it accepted version 8 of LMS.

    What's the neater way of updating a downloaded plugin?

  5. #5
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,749

    IR-Blaster support on LMS 8.0

    > What's the neater way of updating a downloaded plugin?

    Could you please check whether IR Blaster is available again? Felix just
    submitted an update.

    --

    Michael

  6. #6
    Senior Member
    Join Date
    Dec 2010
    Posts
    150
    Quote Originally Posted by mherger View Post
    > What's the neater way of updating a downloaded plugin?

    Could you please check whether IR Blaster is available again? Felix just
    submitted an update.

    --

    Michael
    Yes, v6.2.2 is now happy with LMS v8

    <maxVersion>8.*</maxVersion>

    Cheers

  7. #7

    Blank page on IR Blaster menu.

    I would like to try out the IR Blaster Plugin on LMS 8.3.0. This is the first time I have tried to use the plugin, and after installing the latest 6.2.2 ver , I navigated to the player > extra settings > IR Blaster on om LMS player menu for the SB Touch, and all I have is a blank page. I have not seen any other settings menu for the plugin. Could I ask, is there a step I have missed ?
    Also - Does the IR sender need to be attached even just to display the plugin menu ?
    Name:  ksnip_20220621-170527.png
Views: 78
Size:  23.8 KB

  8. #8
    It looks like the issue is compatibility with material skin. When using the default skin I have the interface as expected
    Attached Images Attached Images  
    Last edited by justjason; 2022-07-06 at 11:15.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •